package com.antai.sport.http.server.server.api.business.achievement.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel("用户成就VO")
public class NewAchievementVO {
    @ApiModelProperty("成就记录id")
    private Long id;
    @ApiModelProperty("成就名称")
    private String achievementName;
    @ApiModelProperty("logo url")
    private String logo;
    @ApiModelProperty("成就对应赠送积分")
    private Integer currency;
    @ApiModelProperty("成就获取时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private LocalDateTime createTime;
}
